Subject: bug#45200: Memory leaks: (garbage-collect) fails to reclaim memory

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Jan 2021 21:55:00 +0200

> From: Konstantin Kharlamov <[email-masked]>
> Date: Sun, 24 Jan 2021 22:06:21 +0300
> Cc: [email-masked]
> 
> Case in point btw: after the previous weekend I found my Emacs instance that I did not touch during the weekend to bloat to as much as 6xxMB. I think that happened because the on-idle hook that I hooked garbage collector onto was not run for 2 days, whilst Emacs might have been doing something like communication to LSP server from time to time, so this is why it ended up taking so much memory. I think it's needless to say that I had to restart Emacs for the half-gigabyte of memory to get returned to my system.

That bug (bug#43389) was recently tracked down and fixed.  I don't
think it has anything to do with malloc_trim and friends.